package system

import "github.com/gin-gonic/gin"

type MenuRouter struct {
}

func (m *MenuRouter) InitMenuRouter(Router *gin.RouterGroup) {
	menuRouter := Router.Group("menu")
	{
		menuRouter.GET("route", menuApi.Route)
		menuRouter.POST("getAllMenuTree", menuApi.GetAllMenuTree)
		menuRouter.GET("getUserMenuTree", menuApi.GetUserMenuTree)
		menuRouter.POST("save", menuApi.SaveMenu)
		menuRouter.POST("update", menuApi.UpdateMenu)
		menuRouter.GET("delete", menuApi.DeleteMenu)
		menuRouter.GET("detail", menuApi.Detail)
	}
}
